## ros-melodic-diagnostics 1.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(diagnostics)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-diagnostics (1.9.7-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-melodic-diagnostics (1.9.6-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 17 Aug 2020 22:00:00 -0000

ros-melodic-diagnostics (1.9.5-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 09 Aug 2020 22:00:00 -0000

ros-melodic-diagnostics (1.9.3-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-melodic-diagnostics (1.9.2-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-diagnostics (1.9.1-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-diagnostics (1.9.0-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-diagnostics (1.8.10-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-melodic-diagnostics (1.8.9-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-melodic-diagnostics (1.8.8-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-melodic-diagnostics (1.8.7-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-melodic-diagnostics (1.8.6-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-melodic-diagnostics (1.8.5-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-melodic-diagnostics (1.8.4-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-melodic-diagnostics (1.8.3-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-melodic-diagnostics (1.8.2-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-melodic-diagnostics (1.8.1-1stretch) stretch; urgency=high

  * Add myself as maintainer
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000

ros-melodic-diagnostics (1.8.0-1stretch) stretch; urgency=high

  * Updating metapackages to reflect REP-0127
  * Contributors: William Woodall

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 02 Apr 2013 22:00:00 -0000

ros-melodic-diagnostics (1.7.11-1stretch) stretch; urgency=high

  * Restore diagnostics meta package description
    For the wiki etc.
  * Updating metapackages to reflect REP-0127
  * Contributors: Felix Kolbe, William Woodall

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:24:00 -0000

ros-melodic-diagnostics (1.7.10-1stretch) stretch; urgency=high

  * Changed package.xml version number before releasing
  * Contributors: Brice Rebsamen

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 21 Feb 2013 23:00:00 -0000

ros-melodic-diagnostics (1.7.9-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 13 Dec 2012 23:00:00 -0000

ros-melodic-diagnostics (1.7.8-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Dec 2012 23:00:00 -0000

ros-melodic-diagnostics (1.7.7-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 09 Nov 2012 23:00:00 -0000

ros-melodic-diagnostics (1.7.6-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 22:32:00 -0000

ros-melodic-diagnostics (1.7.5-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 20:53:00 -0000

ros-melodic-diagnostics (1.7.4-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 19:18:00 -0000

ros-melodic-diagnostics (1.7.3-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 03 Nov 2012 23:00:00 -0000

ros-melodic-diagnostics (1.7.2-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 30 Oct 2012 21:31:00 -0000

ros-melodic-diagnostics (1.7.1-1stretch) stretch; urgency=high

  * fix a few things after the first release
  * add the meta-package
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 30 Oct 2012 14:30:00 -0000

ros-melodic-diagnostics (1.7.0-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 28 Oct 2012 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-diagnostics
Section: misc
Priority: optional
Maintainer: Brice Rebsamen <brice.rebsamen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://www.ros.org/wiki/diagnostics
Standards-Version: 3.9.2

Package: ros-melodic-diagnostics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-aggregator, ros-melodic-diagnostic-analysis, ros-melodic-diagnostic-common-diagnostics, ros-melodic-diagnostic-updater, ros-melodic-self-test
Description: diagnostics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-diagnostics//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
